jQuery( document ).ready(function() {
    // Ajout des classes pour les champs de formulaire
    jQuery("input[class=buttons]").addClass('fr-btn');
    jQuery("input[type=password]").addClass('fr-input');
    jQuery("input[type=text]").addClass('fr-input');
    jQuery("input[type=email]").addClass('fr-input');
    jQuery("input[type=url]").addClass('fr-input');
    jQuery(".wpcf7-form input[type=password]").addClass('fr-input');
    jQuery(".wpcf7-form input[type=tel]").addClass('fr-input');
    jQuery(".wpcf7-form input[type=date]").addClass('fr-input');
    jQuery(".wpcf7-form input[type=number]").addClass('fr-input');
    jQuery(".wpcf7-form input[type=file]").addClass('fr-upload');
    jQuery(".wpcf7-form input[type=file]").before('<span class="fr-hint-text">Taille maximale : 50 Mo. Formats supportés : jpg, jpeg, png, pdf. Un seul fichier possible.</span>');
    jQuery(".wpcf7-form label").addClass('fr-label');
    jQuery(".wpcf7-form .wpcf7-checkbox").wrap('<div class="fr-fieldset__content"></div>');
    jQuery(".wpcf7-form .wpcf7-checkbox input").css({'appearance':'auto','position':'initial','opacity':'1'});
    jQuery(".wpcf7-form .wpcf7-radio input").css({'appearance':'auto','position':'initial','opacity':'1'});
    jQuery(".wpcf7-form .wpcf7-checkbox .wpcf7-list-item").wrap('<div class="fr-checkbox-group"></div>');
    jQuery(".wpcf7-form .wpcf7-radio").wrap('<div class="fr-fieldset__content"></div>');
    jQuery(".wpcf7-form .wpcf7-radio .wpcf7-list-item").wrap('<div class="fr-radio-group"></div>');
    jQuery(".wpcf7-form .wpcf7-radio .wpcf7-list-item label").addClass('fr-label');
    jQuery(".wpcf7-form textarea").addClass('fr-input');
    jQuery(".wpcf7-not-valid-tip").remove();

    jQuery(".wpcf7-form input[type=submit]").addClass('fr-btn');
    jQuery(".wpcf7-form select").addClass('fr-select');

    // Class sur tableau
    jQuery(".panel-grid table").wrap('<div class="fr-table"></div>');

    //Class sur les images
    jQuery("#page-content img").addClass('fr-responsive-img');
    jQuery(".gallery img").removeClass('fr-responsive-img');


    //Remplacement des buttons
    jQuery("#page-content .ow-button-base").each(function(){
        let contenu = jQuery(this).html();
        jQuery(this).replaceWith('<button class="fr-btn">'+contenu+'</button>');
    });

    //Remplacement des images si il y a une légende
    jQuery("#page-content img").each(function(){
        if(jQuery(this).parent().hasClass('wp-caption')){
            let image = jQuery(this).html('');
            let caption = jQuery('#page-content .wp-caption .wp-caption-text').html();
            jQuery(this).parent().replaceWith('<figure class="fr-content-media" role="group" aria-label="'+caption+'"><div class="fr-content-media__img"><img src="'+image[0].src+'" class="fr-responsive-img" alt="'+image[0].alt+'" /></div><figcaption class="fr-content-media__caption">'+caption+'</figcaption></figure>')
        };
    });

    //Ajout class sur contenu commentaire
    jQuery(".comment-respond textarea").addClass('fr-input');
    jQuery(".comment-respond input[type=submit]").wrap('<button class="fr-btn"></button>');

    //Transforme les li du niveau 2 du megamenu en div
    jQuery("li#devenirdiv").each(function(){
          jQuery(this).replaceWith("<div class='fr-col-12 fr-col-lg-3'>" + jQuery( this ).html() + "</div>");
      });

      jQuery(function() {
        jQuery('a[href$=".pdf"], a[href$=".doc"], a[href$=".docx"], a[href$=".xlsx"], a[href$=".xls"], a[href$=".ppt"], a[href$=".pptx"]').parent().wrap("<div class='fr-download'>");
        jQuery('a[href$=".pdf"], a[href$=".doc"], a[href$=".docx"], a[href$=".xlsx"], a[href$=".xls"], a[href$=".ppt"], a[href$=".pptx"]').addClass("fr-download__link");
        
    });  

    jQuery("body").prepend('<script>const e="system",t="dark",a="dark",c=()=>{document.documentElement.setAttribute("data-fr-theme",a)},r=()=>{window.matchMedia("(prefers-color-scheme: dark)").matches&&c()};(()=>{if(document.documentElement.matches(":root[data-fr-theme], :root[data-fr-scheme]")){const a=(()=>{try{return"localStorage"in window&&null!==window.localStorage}catch(e){return!1}})()?localStorage.getItem("scheme"):"",o=document.documentElement.getAttribute("data-fr-scheme");switch(!0){case a===t:c();break;case a===e:r();break;case o===t:c();break;case o===e:r()}}})();</script>');
      
});